=== debian/changelog ===
cloud-init (24.2-1) unstable; urgency=medium

  * New upstream version 24.2
  * Refresh patches

 -- Noah Meyerhans <noahm@debian.org>  Wed, 03 Jul 2024 11:20:58 -0700

cloud-init (24.1.7-3) unstable; urgency=medium

  * Add Conflicts/Replaces relationship on cloud-init-22.4.2
  * Build-Depend on pkgconf and systemd-dev | systemd (Closes: #1073747)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 18 Jun 2024 13:46:32 -0700

cloud-init (24.1.7-2) unstable; urgency=medium

  * Incorporate upstream fix for test failures in non-networked environments

 -- Noah Meyerhans <noahm@debian.org>  Thu, 13 Jun 2024 14:00:02 -0700

cloud-init (24.1.7-1) unstable; urgency=medium

  * New upstream version 24.1.7

 -- Noah Meyerhans <noahm@debian.org>  Mon, 10 Jun 2024 13:02:15 -0700
