=== debian/changelog ===
cloud-init (24.3.1-2) unstable; urgency=medium

  * d/control: replace dhcpcd with dhcpcd-base in Depends (Closes: #1082897)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 02 Oct 2024 10:18:12 -0400

cloud-init (24.3.1-1) unstable; urgency=medium

  * New upstream version 24.3.1 (Closes: #1078180)
  * Refresh patches
  * Add no-op /etc/init.d/cloud-init-main to ensure corresponding init scripts
    exist for each systemd unit
  * Ensure cloud-init-main.service conflicts with shutdown.target
  * Update lintian overrides for /lib/systemd -> /usr/lib/systemd change
  * Refresh default cloud.cfg
  * Fix python3 compatibility in postinst (Closes: #1055890)
  * Prefer the dhcpcd DHCP client implementation (Closes: #1080999)
  * Drop netdev from the default user's supplemental groups (Closes: #1055786)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 17 Sep 2024 12:18:42 -0400
