=== debian/control ===
--- 
+++ 
@@ -48,9 +48,10 @@
  eject,
  fdisk | util-linux (<< 2.29.2-3~),
  gdisk,
- udhcpc | isc-dhcp-client,
+ dhcpcd-base | udhcpc | isc-dhcp-client,
  locales,
  lsb-release,
+ netcat-openbsd,
  procps,
  ${misc:Depends},
  ${python3:Depends},
