## cloud-init 24.4~3+really24.3.1

=== debian/changelog ===
cloud-init (24.4~3+really24.3.1-0ubuntu4) oracular; urgency=medium

  * Bug fix release (LP: #2081124):
    d/p/cpick-hotplugd-systemd-ordering-fix.patch: fix systemd ordering cycle
    issues with network cloud-init-hotplugd.socket, NetworkManager and
    dbus.socket by adding DefaultDependencies=no to cloud-init-hotplugd.socket.

 -- Chad Smith <chad.smith@canonical.com>  Fri, 20 Sep 2024 15:31:13 -0600

cloud-init (24.4~3+really24.3.1-0ubuntu3) oracular; urgency=medium

  * Bug fix release (LP: #2080688):
    d/p/cpick-nocloudnet-seedfrom-sysconfig-fix.patch fix NoCloudNet
    detection when seedfrom config provided in /etc/cloud/cloud.cfg/*.cfg

 -- Chad Smith <chad.smith@canonical.com>  Fri, 13 Sep 2024 14:44:45 -0600

cloud-init (24.4~3+really24.3.1-0ubuntu2) oracular; urgency=medium

  * d/cloud-init.postinst: fix MAAS preseed provisioning by replacing
    handle_preseed_maas and handle_preseed_local_cloud_config functions
    which were removed in commit cf13fd126 (GH-5685)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 10 Sep 2024 13:41:14 -0600

cloud-init (24.4~3+really24.3.1-0ubuntu1) oracular; urgency=medium

  * d/cloud-init.lintian-overrides:
    + Remove alien disabled tag:
      alien-tag package-supports-alternative-init-but-no-init.d-script
  * Upstream snapshot based on 24.3.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.3.1/ChangeLog

 -- Chad Smith <chad.smith@canonical.com>  Wed, 04 Sep 2024 15:55:20 -0600

cloud-init (24.4~2g2e4c39b7-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 2e4c39b7.

 -- Chad Smith <chad.smith@canonical.com>  Thu, 15 Aug 2024 10:10:28 -0600

cloud-init (24.4~1gedd92b71-0ubuntu1) oracular; urgency=medium

  * Add netcat dependency
  * Upstream snapshot based on edd92b71.

 -- Chad Smith <chad.smith@canonical.com>  Tue, 13 Aug 2024 06:38:07 -0600

cloud-init (24.3~1g6e4153b3-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 6e4153b3.
    - Bugs fixed in this snapshot: (LP: #2065787)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Fri, 19 Jul 2024 17:09:53 +0200

cloud-init (24.2~5g8c396a4b-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 8c396a4b.

 -- Chad Smith <chad.smith@canonical.com>  Wed, 26 Jun 2024 12:30:42 -0600

cloud-init (24.2~4g5f40426f-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 5f40426f.
    - Bugs fixed in this snapshot: (LP: #2066985)
      The fix for this bug in the previous release was only a
      partial fix.

 -- James Falcon <james.falcon@canonical.com>  Wed, 05 Jun 2024 12:52:40 -0500

cloud-init (24.2~3ge68c8c74-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at e68c8c74.
    - Bugs fixed in this snapshot: (LP: #2066979, #2066985)

 -- James Falcon <james.falcon@canonical.com>  Fri, 24 May 2024 12:08:51 -0500

cloud-init (24.2~2g51c6569f-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 51c6569f.
    - Bugs fixed in this snapshot: (LP: #2064132)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 03 May 2024 15:34:25 -0600

cloud-init (24.2~1g370e680c-0ubuntu1) oracular; urgency=medium

  * d/control: Remove netifaces
  * Upstream snapshot based on upstream/main at 370e680c.
    - Bugs fixed in this snapshot: (LP: #2047796, #2064132)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 03 May 2024 10:50:46 -0600
