## cloud-init 24.4

=== debian/changelog ===
cloud-init (24.4-0ubuntu1) plucky; urgency=medium

  * debian: Rename cloud-init to cloud-init-base
    + Add infrastructure to be able to express cloud-specific cloud-init
      binary packages.
    + Keep a cloud-init metapackage to install every possible dependency and
      be able to operate on any platform
    + Add `Breaks:` and `Replaces:` dependency with
      cloud-init <= 24.4~2g2e4c39b7-0ubuntu1
      to adopt and own files from cloud-init in cloud-init-base.
  * d/cloud-init-base.{config,postinst}:
    + Handle migration of debconf values migrating cloud-init/* values to
      cloud-init-base/*.
  * d/control: add cloud-sigma and smart-os packages
    + Add cloud-init-cloud-sigma and cloud-init-smart-os binary packages
    depending on cloud-init-base and python3-serial.
    + Removes python3-serial from cloud-init-base and add it to cloud-init.
  * d/cloud-init-base.templates:
    + Add warning about image portability to dpkg-reconfigure.
  * d/NEWS: add news about cloud-specific packages
  * d/po/templates.pot and cloud-init.templates: enable CloudCIX by default.
  * d/cloud-init-base.{config,postinst}:
    + Drop noop clean-up of cloud-init/* debconf values
  * Upstream snapshot based on 24.4.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.4/ChangeLog
    - Bugs fixed in this snapshot: (LP: #1992853)

 -- James Falcon <james.falcon@canonical.com>  Mon, 25 Nov 2024 10:42:33 -0600
