## cloud-init 24.4.1

=== debian/changelog ===
cloud-init (24.4.1-0ubuntu0~20.04.3) focal; urgency=medium

  * cherry-pick 7a0265d3: fix: ensure MAAS datasource retries on failure
    (#6167) (LP: #2106671)

 -- James Falcon <james.falcon@canonical.com>  Fri, 23 May 2025 15:43:28 -0500

cloud-init (24.4.1-0ubuntu0~20.04.2) focal; urgency=medium

  * cherry-pick fixes for MAAS traceback (LP: #2100963)
    - cherry-pick c60771d8: test: pytestify test_url_helper.py
    - cherry-pick 8810a2dc: test: Remove CiTestCase from
      test_url_helper.py
    - cherry-pick 582f16c1: test: add OauthUrlHelper tests
    - cherry-pick 9311e066: fix: Update OauthUrlHelper to use readurl
      exception_cb

 -- James Falcon <james.falcon@canonical.com>  Thu, 13 Mar 2025 11:28:57 -0500

cloud-init (24.4.1-0ubuntu0~20.04.1) focal; urgency=medium

  * Add d/p/cpick-84806336-chore-Add-feature-flag-for-manual-network-waiting
    - Pull in the upstream commit that makes it easier to patch out the
      new systemd-networkd-wait-online behavior in e30549e8
  * Add d/p/cpick-b817a679-fix-retry-AWS-hotplug-for-async-IMDS.patch
    - Pull in the upstream commit works around a limitation in AWS's IMDS
      (GH-5971) (LP: #2097319)
  * Add d/p/no-remove-networkd-online.patch
    - Revert breaking change on stable release (LP: #2094149)
  * Update d/p/no-single-process.patch
    - This patch missed waiting for mounts (LP: #2097441)
  * refresh patches:
    - d/p/cli-retain-file-argument-as-main-cmd-arg.patch
    - d/p/revert-551f560d-cloud-config-after-snap-seeding.patch
    - d/p/drop-unsupported-systemd-condition-environment.patch
  * Upstream snapshot based on 24.4.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.4.1/ChangeLog
    (LP: #2094179, #2094208, #2094857, #2094858)

 -- Brett Holman <brett.holman@canonical.com>  Tue, 04 Feb 2025 17:28:31 -0700

cloud-init (24.4-0ubuntu1~20.04.1) focal; urgency=medium

  * add d/p/grub-dpkg-support.patch
    - Revert the removal of grub-dpkg from default modules
  * Move d/p/drop-unsupported-systemd-condition-environment.patch
    later in series and refresh as to not be overwritten by
    no-single-process.patch
  * refresh patches:
    - d/p/cli-retain-file-argument-as-main-cmd-arg.patch
    - d/p/expire-on-hashed-users.patch
    - d/p/keep-dhclient-as-priority-client.patch
    - d/p/netplan99-cannot-use-default.patch
    - d/p/no-nocloud-network.patch
    - d/p/no-single-process.patch
    - d/p/revert-551f560d-cloud-config-after-snap-seeding.patch
    - d/p/status-do-not-remove-duplicated-data.patch
  * Upstream snapshot based on 24.4. (LP: #2089577).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.4/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Mon, 25 Nov 2024 11:53:40 -0600

cloud-init (24.3.1-0ubuntu0~20.04.1) focal; urgency=medium

  * d/p/no-nocloud-network.patch: Remove nocloud network feature
  * d/p/no-single-process.patch: Remove single process optimization
  * Upstream snapshot based on upstream/main at c0ffdd4d.
  * refresh patches:
    - d/p/cli-retain-file-argument-as-main-cmd-arg.patch
    - d/p/drop-unsupported-systemd-condition-environment.patch
    - d/p/revert-551f560d-cloud-config-after-snap-seeding.patch
    - d/p/netplan99-cannot-use-default.patch
  * Upstream snapshot based on 24.3.1. (LP: #2079224).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.3.1/ChangeLog

 -- Chad Smith <chad.smith@canonical.com>  Fri, 06 Sep 2024 12:18:20 -0600

cloud-init (24.2-0ubuntu1~20.04.1) focal; urgency=medium

  * d/control: remove netifaces due to GH-4634
  * drop d/p/do-not-block-user-login.patch:
    Upstream now has "Before=systemd-user-sessions" in cloud-init.service
  * d/p/drop-unsupported-systemd-condition-environment.patch:
    drop ConditionEnvironment from unit files because systemd 245.4 ignores
    those keys and emits warnings at systemctl status
  * d/p/add-deprecation-info-boundary.patch: Update
    DEPRECATION_INFO_BOUNDARY to ensure new deprecations don't trigger
    warnings.
  * refresh patches:
    - d/p/cli-retain-file-argument-as-main-cmd-arg.patch
    - d/p/keep-dhclient-as-priority-client.patch
    - d/p/netplan99-cannot-use-default.patch
    - d/p/retain-ec2-default-net-update-events.patch
    - d/p/retain-netplan-world-readable.patch
    - d/p/retain-old-groups.patch
    - d/p/status-do-not-remove-duplicated-data.patch
    - d/p/status-retain-recoverable-error-exit-code.patch
    - d/p/revert-551f560d-cloud-config-after-snap-seeding.patch
  * Upstream snapshot based on 24.2. (LP: #2071762).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.2/ChangeLog
  * drop all d/p/cpick-* files as they are included in upstream snapshot

 -- James Falcon <james.falcon@canonical.com>  Thu, 11 Jul 2024 16:36:14 -0500

cloud-init (24.1.3-0ubuntu1~20.04.5) focal; urgency=medium

  * Upstream bug fix release based on 24.1.7
    + functional fixes in debian/patches:
      - cpick-417ee551: fix(ec2): Ensure metadata exists before configuring PBR.
        (LP: #2066979)
      - cpick-d6776632: fix: Check renderer for netplan-specific code (#5321)
        (LP: #2066985)
      - cpick d771d1f4: fix(ec2): Correctly identify netplan renderer (#5361)
        (LP: #2066985)
    + test fixes in debian/patches:
      - cpick-74dc7cce: test: Fix failing test_ec2.py test (#5324)

 -- James Falcon <james.falcon@canonical.com>  Wed, 05 Jun 2024 12:40:38 -0500

cloud-init (24.1.3-0ubuntu1~20.04.4) focal; urgency=medium

  * cherry-pick 51c6569f: fix(snapd): ubuntu do not snap refresh when
    snap absent (LP: #2064132)
    - fix in 24.1.3-0ubuntu1~20.04.2 did not handle package_upgrade case

 -- Chad Smith <chad.smith@canonical.com>  Fri, 03 May 2024 15:38:58 -0600

cloud-init (24.1.3-0ubuntu1~20.04.3) focal; urgency=medium


