## cloud-init 25.1

=== debian/changelog ===
cloud-init (25.1-1) unstable; urgency=medium

  * New upstream version 25.1
  * Rebase 0001-config-Support-APT-automated-mirror-selection.patch

 -- Noah Meyerhans <noahm@debian.org>  Sat, 22 Feb 2025 16:46:27 -0500

cloud-init (24.4.1-2) unstable; urgency=medium

  * Add python3-passlib to Suggests (Closes: #1093885)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 23 Jan 2025 16:36:16 -0500

cloud-init (24.4.1-1) unstable; urgency=medium

  * New upstream version 24.4.1
  * Switch build-deps from python3-pep to python3-pycodestyle (Closes: 1092997)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 16 Jan 2025 12:24:22 -0500

cloud-init (24.4-1) unstable; urgency=medium

  * New upstream version 24.4
  * Drop debian/patches/systemd-service-file-shutdown-problems.patch

 -- Noah Meyerhans <noahm@debian.org>  Wed, 04 Dec 2024 16:38:36 -0500
