## cloud-init 25.1.1

=== debian/changelog ===
cloud-init (25.1.1-0ubuntu2) plucky; urgency=medium

  * d/control: Fix how cloud-init-base overwrites cloud-init files.
    (LP: #2092333)

 -- James Falcon <james.falcon@canonical.com>  Fri, 28 Mar 2025 16:43:14 -0500

cloud-init (25.1.1-0ubuntu1) plucky; urgency=medium

  * Upstream bug fix release based on upstream bugfix 25.1.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1.1/ChangeLog
  * d/patches: remove all cpick* quilt patches due to upstream snapshot

 -- James Falcon <james.falcon@canonical.com>  Mon, 24 Mar 2025 15:02:52 -0500

cloud-init (25.1-0ubuntu3) plucky; urgency=medium

  * cherry-pick fixes for MAAS traceback (LP: #2100963)
    - cherry-pick c60771d8: test: pytestify test_url_helper.py
    - cherry-pick 8810a2dc: test: Remove CiTestCase from
      test_url_helper.py
    - cherry-pick 582f16c1: test: add OauthUrlHelper tests
    - cherry-pick 9311e066: fix: Update OauthUrlHelper to use readurl
      exception_cb 

 -- James Falcon <james.falcon@canonical.com>  Thu, 13 Mar 2025 15:47:53 -0500

cloud-init (25.1-0ubuntu2) plucky; urgency=medium

  * d/control: add python3-passlib dependency to cloud-init
    metapackage. (LP: #2098988)

 -- James Falcon <james.falcon@canonical.com>  Tue, 25 Feb 2025 08:16:55 -0600

cloud-init (25.1-0ubuntu1) plucky; urgency=medium

  * Upstream snapshot based on 25.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Thu, 20 Feb 2025 14:32:56 -0600

cloud-init (25.1~3geb1965a4-0ubuntu1) plucky; urgency=medium

  * Upstream snapshot based on upstream/main at eb1965a4.

 -- James Falcon <james.falcon@canonical.com>  Wed, 05 Feb 2025 10:20:41 -0600
