=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: https://cloud-init.io/
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                iproute2,
                po-debconf,
@@ -23,28 +23,56 @@
                python3-yaml,
                python3-responses,
                python3-passlib
-XS-Python-Version: all
 Vcs-Browser: https://github.com/canonical/cloud-init/tree/ubuntu/devel
 Vcs-Git: https://github.com/canonical/cloud-init -b ubuntu/devel
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
-Package: cloud-init
+Package: cloud-init-base
 Architecture: all
 Depends: cloud-guest-utils | cloud-utils,
-         isc-dhcp-client,
+         dhcpcd-base,
          iproute2,
+         netcat-openbsd,
          netplan.io,
          procps,
          python3,
          python3-debconf,
          python3-requests,
+         ${misc:Depends},
+         ${python3:Depends}
+Recommends: eatmydata, gdisk, gnupg, python3-apt, software-properties-common
+Suggests: openssh-server, ssh-import-id
+Replaces: cloud-init (<< 25.1.1-0ubuntu2~), cloud-init-base 
+Breaks: cloud-init (<< 25.1.1-0ubuntu2~), cloud-init-base
+Description: initialization and customization tool for cloud instances
+ Cloud-init with minimal dependencies, refer to cloud-init for more
+ information.
+
+Package: cloud-init-cloud-sigma
+Architecture: all
+Depends: cloud-init-base,
          python3-serial,
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: eatmydata, gdisk, python3-apt, software-properties-common
-Suggests: openssh-server, ssh-import-id
-XB-Python-Version: ${python:Versions}
+Description: Cloud Sigma specific cloud-init
+ This metapackage depends on cloud-init-base and additional packages for
+ Cloud Sigma.
+
+Package: cloud-init-smart-os
+Architecture: all
+Depends: cloud-init-base,
+         python3-serial,
+         ${misc:Depends},
+Description: Smart OS specific cloud-init
+ This metapackage depends on cloud-init-base and additional packages for
+ Smart OS.
+
+Package: cloud-init
+Architecture: all
+Depends: cloud-init-base,
+         python3-serial,
+         python3-passlib,
+         ${misc:Depends},
 Description: initialization and customization tool for cloud instances
  Cloud-init is the industry standard multi-distribution method for
  cross-platform cloud instance initialization. It is supported across all major
@@ -63,3 +91,5 @@
  access key and many other aspects of a system. Later on the cloud-init will
  also parse and process any optional user or vendor data that was passed to
  the instance.
+ .
+ This is a metapackage that includes every cloud-init dependency.
