## cloud-init 25.1.2

=== debian/changelog ===
cloud-init (25.1.2-0ubuntu0~24.10.1) oracular; urgency=medium

  * Upstream snapshot based on 25.1.2. (LP: #2104165).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1.2/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Mon, 19 May 2025 14:45:54 -0500

cloud-init (25.1.1-0ubuntu1~24.10.1) oracular; urgency=medium

  * Drop cpicks which are now upstream:
    - d/p/cpick-582f16c1-test-add-OauthUrlHelper-tests
    - d/p/cpick-8810a2dc-test-Remove-CiTestCase-from-test_url_helper.py
    - d/p/cpick-9311e066-fix-Update-OauthUrlHelper-to-use-readurl-exception_cb
    - d/p/cpick-84806336-chore-Add-feature-flag-for-manual-network-waiting
    - d/p/cpick-c60771d8-test-pytestify-test_url_helper.py
    - d/p/cpick-d75840be-fix-retry-AWS-hotplug-for-async-IMDS-5995
  * refresh patches:
    - d/p/deprecation-version-boundary.patch
    - d/p/grub-dpkg-support.patch
    - d/p/no-remove-networkd-online.patch
  * sort hunks within all patches (--sort on quilt refresh)
  * d/cloud-init.templates:
    - Move VMware before OVF. See GH-4030
    - Enable CloudCIX by default
  * Upstream snapshot based on 25.1.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1.1/ChangeLog

 -- Chad Smith <chad.smith@canonical.com>  Tue, 25 Mar 2025 12:13:57 -0600

cloud-init (24.4.1-0ubuntu0~24.10.3) oracular; urgency=medium

  * d/control: Fix how cloud-init-base overwrites cloud-init files.
    (LP: #2092333)

 -- James Falcon <james.falcon@canonical.com>  Wed, 02 Apr 2025 10:02:44 -0500

cloud-init (24.4.1-0ubuntu0~24.10.2) oracular; urgency=medium

  * cherry-pick fixes for MAAS traceback (LP: #2100963)
    - cherry-pick c60771d8: test: pytestify test_url_helper.py
    - cherry-pick 8810a2dc: test: Remove CiTestCase from
      test_url_helper.py
    - cherry-pick 582f16c1: test: add OauthUrlHelper tests
    - cherry-pick 9311e066: fix: Update OauthUrlHelper to use readurl
      exception_cb

 -- James Falcon <james.falcon@canonical.com>  Thu, 13 Mar 2025 14:46:38 -0500

cloud-init (24.4.1-0ubuntu0~24.10.1) oracular; urgency=medium

  * Add d/p/no-remove-networkd-online.patch
    - Revert breaking change on stable release (LP: #2094149)
  * Add d/p/cpick-84806336-chore-Add-feature-flag-for-manual-network-waiting
    - Pull in the upstream commit that makes it easier to patch out the
      new systemd-networkd-wait-online behavior in e30549e8
  * Add d/p/cpick-b817a679-fix-retry-AWS-hotplug-for-async-IMDS.patch
    - Pull in the upstream commit works around a limitation in AWS's IMDS
      (GH-5971) (LP: #2097319)
  * Upstream snapshot based on 24.4.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.4.1/ChangeLog
    (LP: #2094179, #2094208, #2094857, #2094858)

 -- Brett Holman <brett.holman@canonical.com>  Tue, 04 Feb 2025 17:43:49 -0700

cloud-init (24.4-0ubuntu1~24.10.1) oracular; urgency=medium

  * drop all d/p/cpick-* files as they are included in upstream snapshot
  * add d/p/deprecation-version-boundary.patch:
    - Pin deprecation version to 24.3
  * add d/p/grub-dpkg-support.patch
    - Revert the removal of grub-dpkg from default modules
  * Upstream snapshot based on 24.4. (LP: #2089577).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.4/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Mon, 25 Nov 2024 11:49:48 -0600
