=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
-Package: cloud-init-base
+Package: cloud-init
 Architecture: all
 Depends: cloud-guest-utils | cloud-utils,
          dhcpcd-base,
@@ -39,40 +39,12 @@
          python3,
          python3-debconf,
          python3-requests,
+         python3-serial,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: eatmydata, gdisk, gnupg, python3-apt, software-properties-common
 Suggests: openssh-server, ssh-import-id
-Replaces: cloud-init (<< 25.1.1-0ubuntu2~), cloud-init-base 
-Breaks: cloud-init (<< 25.1.1-0ubuntu2~), cloud-init-base
-Description: initialization and customization tool for cloud instances
- Cloud-init with minimal dependencies, refer to cloud-init for more
- information.
-
-Package: cloud-init-cloud-sigma
-Architecture: all
-Depends: cloud-init-base,
-         python3-serial,
-         ${misc:Depends},
-Description: Cloud Sigma specific cloud-init
- This metapackage depends on cloud-init-base and additional packages for
- Cloud Sigma.
-
-Package: cloud-init-smart-os
-Architecture: all
-Depends: cloud-init-base,
-         python3-serial,
-         ${misc:Depends},
-Description: Smart OS specific cloud-init
- This metapackage depends on cloud-init-base and additional packages for
- Smart OS.
-
-Package: cloud-init
-Architecture: all
-Depends: cloud-init-base,
-         python3-serial,
-         python3-passlib,
-         ${misc:Depends},
+Provides: cloud-init-base
 Description: initialization and customization tool for cloud instances
  Cloud-init is the industry standard multi-distribution method for
  cross-platform cloud instance initialization. It is supported across all major
@@ -91,5 +63,3 @@
  access key and many other aspects of a system. Later on the cloud-init will
  also parse and process any optional user or vendor data that was passed to
  the instance.
- .
- This is a metapackage that includes every cloud-init dependency.
