=== debian/changelog ===
cloud-init (25.1.4-1) unstable; urgency=medium

  * New upstream version 25.1.4 (Closes: #1108402, #1108403)
    - Fixes CVE-2024-6174
    - Fixes CVE-2024-11584

 -- Noah Meyerhans <noahm@debian.org>  Mon, 07 Jul 2025 15:13:38 -0400

cloud-init (25.1.1-1) unstable; urgency=medium

  * New upstream version 25.1.1

 -- Noah Meyerhans <noahm@debian.org>  Mon, 24 Mar 2025 15:35:46 -0400
