## cloud-init 25.2~5g009c4cfd

=== debian/changelog ===
cloud-init (25.2~5g009c4cfd-0ubuntu1) questing; urgency=medium

  * Upstream snapshot based on upstream/main at 009c4cfd.
    - Bugs fixed in this snapshot:
      + fix: disable cloud-init when non-x86 environments have no DMI-data
        and no strict datasources detected (LP: #2069607) (CVE-2024-6174)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 24 Jun 2025 14:58:26 -0600

cloud-init (25.2~4geb9c1239-0ubuntu2) questing; urgency=medium

  * d/changelog: correct switched CVE references in prior release changelog
    entry for 25.2~4geb9c1239-0ubuntu1 

 -- Chad Smith <chad.smith@canonical.com>  Tue, 24 Jun 2025 10:11:34 -0600

cloud-init (25.2~4geb9c1239-0ubuntu1) questing; urgency=medium

  * d/cloud-init-base.postinst: move existing hotplug-cmd fifo to root-only
    share dir (CVE-2024-11584)
  * Upstream snapshot based on upstream/main at eb9c1239.
    - Bugs fixed in this snapshot: (LP: #2069607)
    - security: make hotplug socket only writable by root (CVE-2024-11584)
    - security: make ds-identify behavior strict datasource discovery on
      non-x86 platforms without DMI data (LP: #2069607) (CVE-2024-6174)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 12 Jun 2025 13:24:29 -0600

cloud-init (25.2~3gf731cdf3-0ubuntu1) questing; urgency=medium

  * Upstream snapshot based on upstream/main at f731cdf3.

 -- Chad Smith <chad.smith@canonical.com>  Fri, 06 Jun 2025 14:05:17 -0600

cloud-init (25.2~2ge2bef781-0ubuntu1) questing; urgency=medium

  * Upstream snapshot based on upstream/main at e2bef781.
    - Bugs fixed in this snapshot: (LP: #2100232)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 12 May 2025 17:46:37 -0600

cloud-init (25.2~1g7a0265d3-0ubuntu1) questing; urgency=medium

  * d/control: add Azure metapackage
    + New Azure binary package depending on cloud-init-base and
      python3-passlib.
  * d/cloud-init-base.preinst: avoid sed of /etc/fstab when absent
  * Upstream snapshot based on upstream/main at 7a0265d3.
    - Bugs fixed in this snapshot: (LP: #2106671)

 -- James Falcon <james.falcon@canonical.com>  Thu, 17 Apr 2025 13:27:07 -0500
